%define	major	1

Summary:	A library for handling MNG files
Name:		libmng
Version:	1.0.0
Release:	2mdk
License:	Distributable (see LICENSE)
Group:		System/Libraries
Packager:	David BAUDENS <baudens@mandrakesoft.com>

Source:		%name-%version.tar.bz2

Buildroot:	%_tmppath/%name-%version-root

%description
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar

%package -n %name%major
Summary:	A library for handling MNG files
Group:		System/Libraries
Provides:	%name
Obsoletes:	%name, libmng0.9.3, libmng0

%description -n %name%major
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

%package -n %name%major-devel
Summary:	Static libraries and header file for libmng
Group:		Development/C
Requires:	%name%major = %version-%release
Provides:	%name-devel
Obsoletes:	%name-devel, libmng0.9.3-devel, libmng0-devel

%description -n %name%major-devel
The libmng library supports decoding, displaying, encoding, and various
other manipulations of the Multiple-image Network Graphics (MNG) format
image files. It uses the zlib compression library, and optionally the
JPEG library by the Independent JPEG Group (IJG) and/or lcms (little cms),
a color-management library by Marti Maria Saguar.

This package contains static libraries and header files needs for development.

%prep

%setup -q

%build
%configure

%make

%install
%makeinstall

cd $RPM_BUILD_DIR/%name-%version/doc/man
install -d %buildroot/%_mandir/man3
install -d %buildroot/%_mandir/man5
install -m644 libmng.3 %buildroot/%_mandir/man3
install -m644 jng.5 %buildroot/%_mandir/man5
install -m644 mng.5 %buildroot/%_mandir/man5

%post -n %name%major
/sbin/ldconfig

%postun -n %name%major
/sbin/ldconfig

%post -n %name%major-devel
/sbin/ldconfig

%postun -n %name%major-devel
/sbin/ldconfig

%files -n %name%major
%defattr(-,root,root,-)
%doc LICENSE
%_libdir/*.la
%_libdir/*.so.*

%files -n %name%major-devel
%defattr(-,root,root)
%doc CHANGES Changes LICENSE README README.contrib README.examples README.packaging
%doc doc/Plan1.png doc/PPlan2.png doc/Pdoc.readme doc/Plibmng.txt
%_includedir/*
%_libdir/*.so
%_mandir/man*/*

%clean
rm -fr %buildroot

%changelog
* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-2mdk
- Don't put man pages in both devel and non devel packages

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0
- Merge Vince's modifications (spec)

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-3mdk
- Fix libdification

* Fri Nov 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-2mdk
- Make compliant to new LMDK lib policy

* Tue Nov 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.3-1mdk
- First package for Linux-Mandrake distribution
